Maintenance May 12, 8–9 PM PDT (May 13, 03:00–04:00 UTC). ~1 min disruption to sandbox management may occur. Already running sandboxes will not be affected. Questions? Contact us
Maintenance May 12, 8–9 PM PDT (May 13, 03:00–04:00 UTC). ~1 min disruption to sandbox management may occur. Already running sandboxes will not be affected. Questions? Contact us
Server-streaming RPC. Use the Connect protocol with streaming support.
curl --request POST \
--url https://{port}-{sandboxID}.e2b.app/process.Process/Connect \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/connect+json' \
--header 'X-Access-Token: <api-key>' \
--data '
{
"process": {
"pid": 123
}
}
'{
"event": {
"data": {
"pty": "aSDinaTvuI8gbWludGxpZnk="
}
}
}Documentation Index
Fetch the complete documentation index at: https://e2b-banner-hover-tooltip.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Sandbox access token (envdAccessToken) for authenticating requests to a running sandbox. Returned by: POST /sandboxes (on create), POST /sandboxes/{sandboxID}/connect (on connect), POST /sandboxes/{sandboxID}/resume (on resume), and GET /sandboxes/{sandboxID} (for running or paused sandboxes).
Define the version of the Connect protocol
Define the timeout, in ms
Show child attributes
Stream of ConnectResponse events
Show child attributes
Was this page helpful?
curl --request POST \
--url https://{port}-{sandboxID}.e2b.app/process.Process/Connect \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/connect+json' \
--header 'X-Access-Token: <api-key>' \
--data '
{
"process": {
"pid": 123
}
}
'{
"event": {
"data": {
"pty": "aSDinaTvuI8gbWludGxpZnk="
}
}
}